/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomWebKitCSSTransformValue_H__
#define __GdomWebKitCSSTransformValue_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSValueList.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomWebKitCSSTransformValue GdomWebKitCSSTransformValue;
typedef struct _GdomWebKitCSSTransformValueClass GdomWebKitCSSTransformValueClass;


#define GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE            (gdom_web_kit_css_transform_value_get_type())
#define GDOM_WEB_KIT_CSS_TRANSFORM_VALUE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE, GdomWebKitCSSTransformValue))
#define GDOM_WEB_KIT_CSS_TRANSFORM_VALUE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE, GdomWebKitCSSTransformValue)Class)
#define GDOM_IS_WEB_KIT_CSS_TRANSFORM_VALUE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE))
#define GDOM_IS_WEB_KIT_CSS_TRANSFORM_VALUE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE))
#define GDOM_WEB_KIT_CSS_TRANSFORM_VALUE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE, GdomWebKitCSSTransformValueClass))

typedef struct _GdomWebKitCSSTransformValuePrivate GdomWebKitCSSTransformValuePrivate;

struct _GdomWebKitCSSTransformValue {
    GdomCSSValueList parent_instance;
    GdomWebKitCSSTransformValuePrivate *priv;
};

struct _GdomWebKitCSSTransformValueClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_web_kit_css_transform_value_get_type (void);

G_END_DECLS

#endif /* __GdomWebKitCSSTransformValue_H__ */
